plugins {
	id 'java'
	id 'application'
	id 'org.springframework.boot' version '3.2.3'
	id 'io.spring.dependency-management' version '1.1.4'
}

group = 'fr.eni'
version = '1.0.0'

java {
	sourceCompatibility = '17'
}

jar {
	manifest {
		attributes 'Main-Class': 'fr.eni.enchere.EnchereApplication'
	}
}

repositories {
	mavenCentral()
}

dependencies {

	implementation 'org.springframework.boot:spring-boot-starter-thymeleaf'
	developmentOnly 'org.springframework.boot:spring-boot-devtools'
	testImplementation 'org.springframework.boot:spring-boot-starter-test'
	implementation 'org.springframework.boot:spring-boot-starter-web'
	implementation 'org.springframework.boot:spring-boot-starter-validation'
	implementation 'org.springframework.boot:spring-boot-starter-jdbc'
	implementation 'org.mariadb.jdbc:mariadb-java-client:2.2.0'
	compileOnly 'javax.servlet:javax.servlet-api:4.0.1'
	//Mail
	implementation 'org.springframework.boot:spring-boot-starter-mail'
	implementation 'jakarta.mail:jakarta.mail-api'
	implementation 'jakarta.activation:jakarta.activation-api'
	//Securité
	implementation 'org.springframework.boot:spring-boot-starter-security'
	implementation 'org.thymeleaf.extras:thymeleaf-extras-springsecurity6'
	//Vérification de formulaire
	implementation 'commons-validator:commons-validator:1.7'
	implementation 'com.googlecode.libphonenumber:libphonenumber:5.5'
	//test
	testImplementation 'org.springframework.security:spring-security-test'
	testImplementation 'org.springframework.boot:spring-boot-starter-test'
	//data
	implementation 'org.springframework.boot:spring-boot-starter-data-jpa'
	implementation 'ch.qos.logback:logback-classic'

}

tasks.named('test') {
	useJUnitPlatform()
}
